process equationSolving_TRA =
     ( ? real a, b, c;
       ! real x2, x1;
         boolean error;
     )
   pragmas 
      main
   end pragmas
   (| (| CLK_C_x := ^CLK_C_x
       | CLK_C_x ^= C_x ^= C_y ^= stable
       |)
    | (| CLK_a := when stable
       | CLK_a ^= a ^= b ^= c ^= OK ^= C_OK
       | CLK_a ^= XZX_132
       |)
    | (| CLK_C_err := when OK
       | CLK_C_err ^= C_err
       |)
    | (| CLK_err := when C_err
       | CLK_err ^= err
       |)
    | (| CLK_108 := when err |)
    | (| CLK_35 := when C_OK |)
    | (| CLK_C_bb := when XZX_132
       | CLK_C_bb ^= C_bb ^= C_error
       |)
    | (| CLK_x := when C_bb
       | CLK_x ^= x
       |)
    | (| CLK_err2 := when C_error
       | CLK_err2 ^= err2
       |)
    | (| nlabel_142 :: equationSolving_126{}
       | nlabel_142 ^= CLK_C_bb
       |)
    | (| CLK_error := CLK_err2 ^+ CLK_108
       | CLK_error ^= error
       |)
    | (| error := CLK_108 default (err2 when CLK_156) |)
    | (| CLK_156 := CLK_err2 ^- CLK_108 |)
    | (| nlabel_994 :: equationSolving_64{}
       | nlabel_994 ^= CLK_a
       |)
    | (| nlabel_995 :: equationSolving_66{}
       | nlabel_995 ^= CLK_a
       |)
    | (| nlabel_65 :: equationSolving_128{}
       | nlabel_65 ^= CLK_a
       |)
    | (| nlabel_66 :: equationSolving_130{}
       | nlabel_66 ^= CLK_a
       |)
    | (| OK := a/=0.0
       | XZX_132 := not OK
       |)
    | (| CLK_x2 := when C_y
       | CLK_x2 ^= x2
       |)
    | (| CLK_x21 := when C_x
       | CLK_x21 ^= x21
       |)
    | (| CLK_x1 := CLK_x21 ^+ CLK_x
       | CLK_x1 ^= x1
       | CLK_x1 ^= u
       |)
    | (| x1 := u
       | u := (x21 when CLK_x21) default (x when CLK_158)
       |)
    | (| CLK_158 := CLK_x ^- CLK_x21 |)
    | (| nlabel :: equationSolving_62{}
       | nlabel ^= CLK_C_x
       |)
    | (| nlabel_996 :: equationSolving_68{}
       | nlabel_996 ^= CLK_C_x
       |)
    | (| nlabel_997 :: equationSolving_70{}
       | nlabel_997 ^= CLK_C_x
       |)
    | (| nlabel_1030 :: equationSolving_72{}
       | nlabel_1030 ^= CLK_C_x
       |)
    | (| {c --> nlabel} when CLK_a
       | {c --> nlabel_995} when CLK_a
       | {c --> nlabel_65} when CLK_a
       | {b --> nlabel} when CLK_a
       | {b --> nlabel_994} when CLK_a
       | {b --> nlabel_66} when CLK_a
       | {a --> nlabel} when CLK_a
       | {a --> nlabel_996} when CLK_a
       | {a --> nlabel_997} when CLK_a
       | {nlabel_66 --> nlabel_142} when CLK_C_bb
       | {nlabel_65 --> nlabel_142} when CLK_C_bb
       | {nlabel_997 --> nlabel_996} when CLK_C_x
       | {nlabel_997 --> nlabel} when CLK_C_x
       | {nlabel_997 --> nlabel_1030} when CLK_C_x
       | {nlabel_996 --> nlabel_995} when CLK_a
       | {nlabel_996 --> nlabel_994} when CLK_a
       | {nlabel_996 --> nlabel} when CLK_C_x
       | {nlabel_996 --> nlabel_1030} when CLK_C_x
       | {nlabel_995 --> nlabel} when CLK_a
       | {nlabel_995 --> nlabel_1030} when CLK_a
       | {nlabel_994 --> nlabel} when CLK_a
       | {nlabel_994 --> nlabel_1030} when CLK_a
       | {nlabel --> nlabel_1030} when CLK_C_x
       | {XZX_132 --> nlabel_65} when CLK_a
       | {XZX_132 --> nlabel_66} when CLK_a
       | {OK --> nlabel} when CLK_a
       | {OK --> nlabel_994} when CLK_a
       | {OK --> nlabel_995} when CLK_a
       | {OK --> nlabel_996} when CLK_a
       |)
    | (| (| CLK_a ^= CLK_C_bb |)
       | (| CLK_a ^= CLK_35 |)
       |)%**war: Clocks constraints
      %
    |)
   where 
   event CLK_158, CLK_156, CLK_error, CLK_x1, CLK_108, CLK_err2, CLK_x, CLK_C_bb, CLK_x21, CLK_err, CLK_35, CLK_x2, CLK_a, CLK_C_err, CLK_C_x;
   real x, x21, u;
   boolean C_bb, err2, err, OK, C_x, C_y, C_err, stable, C_OK, C_error, XZX_132;
   label nlabel, nlabel_996, nlabel_997, nlabel_1030; 
   label nlabel_994, nlabel_995, nlabel_65, nlabel_66; 
   label nlabel_142; 
   process equationSolving_126 =
        ( ? event CLK_err2, CLK_x, CLK_C_bb, CLK_a;
            boolean XZX_132;
          ! real x;
            boolean err2;
        )
      pragmas 
         Grey_Box "FirstDegree"
      end pragmas
      (| (| CLK_a ^= XZX_132
          | CLK_x ^= x
          | CLK_err2 ^= err2
          |)
       | (x,err2) := FirstDegree_Cluster_1(XZX_132)
       |)
   %equationSolving_126%; 
   process equationSolving_64 =
        ( ? event CLK_a;
            real b;
            boolean OK;
        )
      pragmas 
         Grey_Box "SecondDegree"
      end pragmas
      (| (| CLK_a ^= b ^= OK |)
       | SecondDegree_Cluster_2(OK,b)
       |)
   %equationSolving_64%; 
   process equationSolving_66 =
        ( ? event CLK_a;
            real c;
            boolean OK;
        )
      pragmas 
         Grey_Box "SecondDegree"
      end pragmas
      (| (| CLK_a ^= c ^= OK |)
       | SecondDegree_Cluster_3(OK,c)
       |)
   %equationSolving_66%; 
   process equationSolving_128 =
        ( ? event CLK_a;
            real c;
            boolean XZX_132;
        )
      pragmas 
         Grey_Box "FirstDegree"
      end pragmas
      (| (| CLK_a ^= c ^= XZX_132 |)
       | FirstDegree_Cluster_2(XZX_132,c)
       |)
   %equationSolving_128%; 
   process equationSolving_130 =
        ( ? event CLK_C_bb, CLK_a;
            real b;
            boolean XZX_132;
          ! boolean C_bb, C_error;
        )
      pragmas 
         Grey_Box "FirstDegree"
      end pragmas
      (| (| CLK_a ^= b ^= XZX_132
          | CLK_C_bb ^= C_bb ^= C_error
          |)
       | (C_bb,C_error) := FirstDegree_Cluster_3(XZX_132,b)
       |)
   %equationSolving_130%; 
   process equationSolving_62 =
        ( ? event CLK_x21, CLK_err, CLK_x2, CLK_a, CLK_C_err, CLK_C_x;
            boolean OK;
          ! real x2;
            boolean err;
            real x21;
            boolean C_x, C_y, C_err;
        )
      pragmas 
         Grey_Box "SecondDegree"
      end pragmas
      (| (| CLK_C_x ^= C_x ^= C_y
          | CLK_C_err ^= C_err
          | CLK_a ^= OK
          | CLK_x2 ^= x2
          | CLK_err ^= err
          | CLK_x21 ^= x21
          |)
       | (err,x21,x2,C_y,C_err,C_x) := SecondDegree_Cluster_1(OK)
       |)
   %equationSolving_62%; 
   process equationSolving_68 =
        ( ? event CLK_a, CLK_C_x;
            real a;
            boolean OK;
        )
      pragmas 
         Grey_Box "SecondDegree"
      end pragmas
      (| (| CLK_a ^= a ^= OK |)
       | SecondDegree_Cluster_4(OK,a)
       |)
   %equationSolving_68%; 
   process equationSolving_70 =
        ( ? event CLK_a, CLK_C_x;
            real a;
          ! boolean C_OK;
        )
      pragmas 
         Grey_Box "SecondDegree"
      end pragmas
      (| (| CLK_a ^= a ^= C_OK |)
       | C_OK := SecondDegree_Cluster_5(a)
       |)
   %equationSolving_70%; 
   process equationSolving_72 =
        ( ? event CLK_C_x;
          ! boolean stable;
        )
      pragmas 
         Grey_Box "SecondDegree"
      end pragmas
      (| (| CLK_C_x ^= stable |)
       | stable := SecondDegree_Cluster_delays()
       |)
   %equationSolving_72%; 
   action SecondDegree_Cluster_1 =
        ( ? boolean OK;
          ! boolean err;
            real x21, x2;
            boolean C_y, C_err, C_x;
        )
      pragmas 
         Black_Box ""
         Grey_Box "SecondDegree"
                  1
         Cluster
      end pragmas
      external "C"
   %SecondDegree_Cluster_1%; 
   action SecondDegree_Cluster_2 =
        ( ? boolean OK;
            real b;
        )
      pragmas 
         Black_Box ""
         Grey_Box "SecondDegree"
                  1
         Cluster
      end pragmas
      external "C"
   %SecondDegree_Cluster_2%; 
   action SecondDegree_Cluster_3 =
        ( ? boolean OK;
            real c;
        )
      pragmas 
         Black_Box ""
         Grey_Box "SecondDegree"
                  1
         Cluster
      end pragmas
      external "C"
   %SecondDegree_Cluster_3%; 
   action SecondDegree_Cluster_4 =
        ( ? boolean OK;
            real a;
        )
      pragmas 
         Black_Box ""
         Grey_Box "SecondDegree"
                  1
         Cluster
      end pragmas
      external "C"
   %SecondDegree_Cluster_4%; 
   action SecondDegree_Cluster_5 =
        ( ? real a;
          ! boolean C_OK;
        )
      pragmas 
         Black_Box ""
         Grey_Box "SecondDegree"
                  1
         Cluster
      end pragmas
      external "C"
   %SecondDegree_Cluster_5%; 
   action SecondDegree_Cluster_delays =
        ( ! boolean stable;
        )
      pragmas 
         Black_Box ""
         Grey_Box "SecondDegree"
                  1
         DelayCluster
         Cluster
      end pragmas
      external "C"
   %SecondDegree_Cluster_delays%; 
   action FirstDegree_Cluster_1 =
        ( ? boolean XZX_132;
          ! real x;
            boolean err2;
        )
      pragmas 
         Black_Box ""
         Grey_Box "FirstDegree"
                  2
      end pragmas
      external
   %FirstDegree_Cluster_1%; 
   action FirstDegree_Cluster_2 =
        ( ? boolean XZX_132;
            real c;
        )
      pragmas 
         Black_Box ""
         Grey_Box "FirstDegree"
                  2
      end pragmas
      external
   %FirstDegree_Cluster_2%; 
   action FirstDegree_Cluster_3 =
        ( ? boolean XZX_132;
            real b;
          ! boolean C_bb, C_error;
        )
      pragmas 
         Black_Box ""
         Grey_Box "FirstDegree"
                  2
      end pragmas
      external
   %FirstDegree_Cluster_3%; 
   end
%equationSolving_TRA%; 
