process equationSolving_TRA =
     ( ? real a, b, c;
       ! real x2, x1;
         boolean error;
     )
   pragmas 
      Main
   end pragmas
   (| (| CLK_stable := ^CLK_stable
       | (x2,x1,error) := ACT_CLK_stable{}(CLK_stable,a,b,c)
       |) |)
   where 
   constant real cst_epsilon = 0.00001;
   event CLK_stable;
   process ACT_CLK_stable =
        ( ? event CLK_stable;
            real a, b, c;
          ! real x2, x1;
            boolean error;
        )
      (| CLK_stable ^= stable ^= yy ^= next_yy ^= biterate ^= mx ^= pre_next_yy ^= next_stable ^= s ^= XZX_166
       | (| CLK_66 := true when biterate
          | CLK_67 := true when (not biterate)
          |)
       | (| CLK_83 := true when (XZX_166>=0.0)
          | CLK_84 := true when (not (XZX_166>=0.0))
          |)
       | (| CLK_x2 := true when (next_stable and biterate)
          | CLK_x2 ^= x2 ^= x_198
          | (x2,x_198) := ACT_CLK_x2{}(CLK_x2,yy,biterate,next_stable,XZX_185)
          | CLK_91 := true when (not (next_stable and biterate))
          |)
       | (| XZX_216 := true when stable
          | XZX_216 ^= a ^= b ^= c
          | (CLK_error,CLK_x,err_1_24,nul_61,CLK_d,,error,x,d,bb,x_1) := ACT_XZX_216{}(XZX_216,a,b,c,stable)
          | CLK_121 := true when (not stable)
          |)
       | (| CLK_200 := (^CLK_x2) default (^XZX_216) |)
       | (| CLK_XZX_185 := (^CLK_x2) default (^XZX)
          | CLK_XZX_185 ^= XZX_185
          | XZX_185 := ACT_CLK_XZX_185{}(CLK_XZX_185,,bb)
          |)
       | (| CLK_x21 := (^CLK_x2) default (^nul_61)
          | CLK_x21 ^= x21
          | x21 := ACT_CLK_x21{}(CLK_224,CLK_x21,CLK_x2,x_1,x_198)
          |)
       | (| CLK_208 := (^CLK_x21) default (^err_1_24) |)
       | (| CLK_x1 := (^CLK_x21) default (^CLK_x)
          | CLK_x1 ^= x1
          | x1 := ACT_CLK_x1{}(CLK_226,CLK_x1,CLK_x21,x,x21)
          |)
       | (| CLK_212 := (^CLK_x1) default (^CLK_error) |)
       | (| CLK_221 := true when ((not (^CLK_d)) default (^CLK_stable)) |)
       | (| CLK_224 := true when ((not (^CLK_x2)) default (^nul_61)) |)
       | (| CLK_226 := true when ((not (^CLK_x21)) default (^CLK_x)) |)
       | (| stable := next_stable$1 init true
          | yy := ((d/2.0) when CLK_d) default (pre_next_yy when CLK_221)
          | next_yy := (((yy+(mx/yy))/2.0) when CLK_66) default (yy when CLK_67)
          | biterate := CLK_d default ((not stable) when CLK_221)
          | mx := (d when CLK_d) cell CLK_stable init 0.0e0
          | pre_next_yy := next_yy$1 init 1.0
          | next_stable := s<cst_epsilon
          | s := (XZX_166 when CLK_83) default ((-XZX_166) when CLK_84)
          | XZX_166 := next_yy-yy
          |)
       |)
      where 
      event CLK_226, CLK_224, CLK_221, CLK_212, CLK_x1, CLK_208, CLK_error, CLK_x21, CLK_XZX_185, CLK_200, CLK_x, CLK_121, XZX_216, CLK_91, CLK_x2, CLK_84, CLK_83, CLK_67, CLK_66, err_1_24, nul_61, CLK_d, XZX;
      boolean stable, biterate, next_stable;
      real x, d, bb, x_1, yy, next_yy, mx, pre_next_yy, s, XZX_166, XZX_185, x_198, x21;
      process ACT_CLK_x2 =
           ( ? event CLK_x2;
               real yy;
               boolean biterate, next_stable;
               real XZX_185;
             ! real x2, x_198;
           )
         (| CLK_x2 ^= y ^= bb_126 ^= x_189
          | (| x2 := x_189
             | y := yy when CLK_x2
             | bb_126 := XZX_185 when CLK_x2
             | x_189 := -((bb_126-y)/2.0)
             | x_198 := -((bb_126+y)/2.0)
             |)
          |)
         where 
         real y, bb_126, x_189;
         end
      %ACT_CLK_x2%; 
      process ACT_XZX_216 =
           ( ? event XZX_216;
               real a, b, c;
               boolean stable;
             ! event CLK_error, CLK_x, err_1_24, nul_61, CLK_d, XZX;
               boolean error;
               real x, d, bb, x_1;
           )
         (| XZX_216 ^= OK
          | (| XZX := true when OK
             | XZX ^= bb
             | (err_1_24,nul_61,CLK_d,d,bb,x_1) := ACT_XZX{}(,a,b,c,OK)
             | XZX_223 := true when (not OK)
             | (CLK_err2,CLK_x,x,err2) := ACT_XZX_223{}(XZX_223,b,c,OK)
             |)
          | (| CLK_error := (^err_1_24) default (^CLK_err2)
             | CLK_error ^= error
             | error := ACT_CLK_error{}(CLK_error,CLK_err2,err_1_24,err2)
             |)
          | (| OK := a/=0.0 |)
          |)
         where 
         event CLK_err2, XZX_223;
         boolean OK, err2;
         process ACT_XZX =
              ( ? event XZX;
                  real a, b, c;
                  boolean OK;
                ! event err_1_24, nul_61, CLK_d;
                  real d, bb, x_1;
              )
            (| XZX ^= cc ^= dd ^= aa ^= XZX_92 ^= XZX_96
             | (| CLK_d := true when (dd>0.0)
                | CLK_d ^= d
                | d := ACT_CLK_d{}(CLK_d,dd)
                | CLK := true when (not (dd>0.0))
                |)
             | (| nul_61 := true when (dd=0.0)
                | nul_61 ^= x_1
                | x_1 := ACT_nul_61{}(nul_61,bb,dd)
                | CLK_30 := true when (not (dd=0.0))
                |)
             | (| err_1_24 := true when (dd<0.0)
                | CLK_32 := true when (not (dd<0.0))
                |)
             | (| CLK_193 := (^nul_61) default (^err_1_24) |)
             | (| CLK_195 := (^CLK_d) default (^CLK_193) |)
             | (| CLK_197 := (^CLK_d) default (^err_1_24) |)
             | (| bb := XZX_92/aa
                | cc := XZX_96/aa
                | dd := (bb*bb)-(4.0*cc)
                | aa := a when XZX
                | XZX_92 := b when XZX
                | XZX_96 := c when XZX
                |)
             |)
            where 
            event CLK_197, CLK_195, CLK_193, CLK_32, CLK_30, CLK;
            real cc, dd, aa, XZX_92, XZX_96;
            process ACT_CLK_d =
                 ( ? event CLK_d;
                     real dd;
                   ! real d;
                 )
               (| (| d := dd when CLK_d |) |)
            %ACT_CLK_d%; 
            process ACT_nul_61 =
                 ( ? event nul_61;
                     real bb, dd;
                   ! real x_1;
                 )
               (| nul_61 ^= XZX_103
                | (| x_1 := (-XZX_103)/2.0
                   | XZX_103 := bb when nul_61
                   |)
                |)
               where 
               real XZX_103;
               end
            %ACT_nul_61%; 
            end
         %ACT_XZX%; 
         process ACT_XZX_223 =
              ( ? event XZX_223;
                  real b, c;
                  boolean OK;
                ! event CLK_err2, CLK_x;
                  real x;
                  boolean err2;
              )
            (| XZX_223 ^= bb_1 ^= cc_2
             | (| CLK_x := true when (bb_1/=0.0)
                | CLK_x ^= x
                | x := ACT_CLK_x{}(CLK_x,bb_1,cc_2)
                | CLK_139 := true when (not (bb_1/=0.0))
                |)
             | (| CLK_err2 := true when (bb_1=0.0)
                | CLK_err2 ^= err2
                | err2 := ACT_CLK_err2{}(CLK_err2,bb_1,cc_2)
                | CLK_151 := true when (not (bb_1=0.0))
                |)
             | (| CLK_191 := (^CLK_x) default (^CLK_err2) |)
             | (| bb_1 := b when XZX_223
                | cc_2 := c when XZX_223
                |)
             |)
            where 
            event CLK_191, CLK_151, CLK_139;
            real bb_1, cc_2;
            process ACT_CLK_x =
                 ( ? event CLK_x;
                     real bb_1, cc_2;
                   ! real x;
                 )
               (| CLK_x ^= bb_237 ^= cc_238
                | (| x := -(cc_238/bb_237)
                   | bb_237 := bb_1 when CLK_x
                   | cc_238 := cc_2 when CLK_x
                   |)
                |)
               where 
               real bb_237, cc_238;
               end
            %ACT_CLK_x%; 
            process ACT_CLK_err2 =
                 ( ? event CLK_err2;
                     real bb_1, cc_2;
                   ! boolean err2;
                 )
               (| (| err2 := (cc_2/=0.0) when CLK_err2 |) |)
            %ACT_CLK_err2%; 
            end
         %ACT_XZX_223%; 
         process ACT_CLK_error =
              ( ? event CLK_error, CLK_err2, err_1_24;
                  boolean err2;
                ! boolean error;
              )
            (| CLK_error ^= err_260
             | (| error := err_260
                | err_260 := err_1_24 default (err2 when CLK_err2)
                |)
             |)
            where 
            boolean err_260;
            end
         %ACT_CLK_error%; 
         end
      %ACT_XZX_216%; 
      process ACT_CLK_XZX_185 =
           ( ? event CLK_XZX_185, XZX;
               real bb;
             ! real XZX_185;
           )
         (| (| XZX_185 := (bb when XZX) cell CLK_XZX_185 init 0.0e0 |) |)
      %ACT_CLK_XZX_185%; 
      process ACT_CLK_x21 =
           ( ? event CLK_224, CLK_x21, CLK_x2;
               real x_1, x_198;
             ! real x21;
           )
         (| (| x21 := (x_198 when CLK_x2) default (x_1 when CLK_224) |) |)
      %ACT_CLK_x21%; 
      process ACT_CLK_x1 =
           ( ? event CLK_226, CLK_x1, CLK_x21;
               real x, x21;
             ! real x1;
           )
         (| (| x1 := (x21 when CLK_x21) default (x when CLK_226) |) |)
      %ACT_CLK_x1%; 
      end
   %ACT_CLK_stable%; 
   end
%equationSolving_TRA%; 
