process FirstDegree_ABSTRACT =
     ( ? boolean Compute;
         real b, c;
       ! real x;
         boolean err2, C_bb, C_error;
     )
     spec (| (| Compute --> x
              | b --> x
              | c --> x
              | Compute --> err2
              | b --> err2
              | c --> err2
              |)
           | (| Compute ^= b ^= c
              | when Compute ^= C_bb ^= C_error
              | when C_bb ^= x
              | when C_error ^= err2
              |)
           |)
   pragmas 
      BlackBox "FirstDegree"
   end pragmas
   external "C"
%FirstDegree_ABSTRACT%; 
