process SecondDegree_ABSTRACT =
     ( ? real a, b, c;
       ! boolean err;
         real x21, x2;
         boolean stable, C_y, C_bb, C_err, C_x;
     )
     spec (| (| a --> err
              | b --> err
              | c --> err
              | a --> x21
              | b --> x21
              | c --> x21
              | a --> x2
              | b --> x2
              | c --> x2
              |)
           | (| stable ^= C_y ^= C_x
              | when stable ^= a ^= b ^= c ^= C_bb
              | when C_y ^= x2
              | when C_bb ^= C_err
              | when C_err ^= err
              | when C_x ^= x21
              |)
           |)
   pragmas 
      Black_Box "SecondDegree"
   end pragmas
   external "C"
%SecondDegree_ABSTRACT%; 
